function tr = isenTT0(Ma,k)
% isenTTO  Temperature ratio T/T0 for isentropic compressible flow
%
% Synopsis:  tr = isenTT0(Ma)
%            tr = isenTT0(Ma,k)
%
% Input:   Ma = Mach number
%          k  = (optional) specific heat ratio;  Default:  k = 1.4
%
% Output:  tr = T/T0, temperature ratio

if nargin<2,  k = 1.4;  end   %  default material is air

tr = 1./(1 + 0.5*(k-1)*Ma.^2);
