function pr = isenpp0(Ma,k)
% isenTTO  Pressure ratio p/p0 for isentropic compressible flow
%
% Synopsis:  pr = isenpp0(Ma)
%            pr = isenpp0(Ma,k)
%
% Input:   Ma = Mach number
%          k  = (optional) specific heat ratio;  Default:  k = 1.4
%
% Output:  pr = p/p0, pressure ratio

if nargin<2,  k = 1.4;  end   %  default material is air

pr = (1./(1 + 0.5*(k-1)*Ma.^2)).^(k/(k-1));
