function rr = isenrr0(Ma,k)
% isenrr0  Density ratio rho/rho0 for isentropic compressible flow
%
% Synopsis:  rr = isenrr0(Ma)
%            rr = isenrr0(Ma,k)
%
% Input:   Ma = Mach number
%          k  = (optional) specific heat ratio;  Default:  k = 1.4
%
% Output:  rr = rho/rho0, density ratio

if nargin<2,  k = 1.4;  end   %  default material is air

rr = (1./(1 + 0.5*(k-1)*Ma.^2)).^(1/(k-1));
